Package org.silverpeas.components.gallery.web

# Class PhotoEntity

java.lang.Object
org.silverpeas.components.gallery.web.AbstractMediaEntity<PhotoEntity>
org.silverpeas.components.gallery.web.PhotoEntity

All Implemented Interfaces:
  `Serializable`, `org.silverpeas.core.web.rs.WebEntity`

public class PhotoEntity extends AbstractMediaEntity<PhotoEntity>

Author:
  Yohann Chastagnier
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `PhotoEntity()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static PhotoEntity`
  `createFrom(Photo photo)`
  Creates a new photo entity from the specified photo.
  `URI`
  `getNormalUrl()`
  `URI`
  `getPreviewUrl()`
  `PhotoEntity`
  `withNormalUrl(URI normalUrl)`
  `PhotoEntity`
  `withPreviewUrl(URI previewUrl)`

  ### Methods inherited from class org.silverpeas.components.gallery.web.AbstractMediaEntity

  `equals, getAuthor, getDescription, getHeight, getId, getParentURI, getThumbUrl, getTitle, getType, getURI, getUrl, getWidth, hashCode, setAuthor, setDescription, setId, setTitle, setType, withHeight, withOriginalUrl, withParentURI, withThumbUrl, withURI, withWidth`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PhotoEntity

    protected PhotoEntity()

- ## Method Details

  - ### createFrom

    public static PhotoEntity createFrom(Photo photo)
    Creates a new photo entity from the specified photo.
    Parameters:
      `photo` - photo from which the entity is constructed
    Returns:
      the entity representing the specified photo.

  - ### withPreviewUrl

    public PhotoEntity withPreviewUrl(URI previewUrl)

  - ### withNormalUrl

    public PhotoEntity withNormalUrl(URI normalUrl)

  - ### getPreviewUrl

    public URI getPreviewUrl()
    Returns:
      the previewUrl

  - ### getNormalUrl

    public URI getNormalUrl()
    Returns:
      the normalUrl